/*************** Variables ***************/
:root {
	--hue:                   37; 
	--sat:                   60%;
/*	--hue:                   216;
	--sat:                   67%; */
	--theme-l6:              hsl(var(--hue), var(--sat), 95%);
	--theme-l5:              hsl(var(--hue), var(--sat), 90%);
	--theme-l4:              hsl(var(--hue), var(--sat), 85%);
	--theme-l3:              hsl(var(--hue), var(--sat), 78%);
	--theme-l2:              hsl(var(--hue), var(--sat), 70%);
	--theme-l1:              hsl(var(--hue), var(--sat), 60%);
	--theme-0:               hsl(var(--hue), var(--sat), 50%);
	--theme-d1:              hsl(var(--hue), var(--sat), 45%);
	--theme-d2:              hsl(var(--hue), var(--sat), 40%);
	--theme-d3:              hsl(var(--hue), var(--sat), 35%);
	--theme-d4:              hsl(var(--hue), var(--sat), 30%);
	--theme-d5:              hsl(var(--hue), var(--sat), 8%);
	--theme-black:           #000000;
	--theme-white:           #ffffff;
	
	--col-text-success:      #29a329;
	--col-text-warning:      #ff9000;
	--col-text-error:        #cc0000;
	--col-bg-success:        #3adf00;
	--col-bg-warning:        #ffff00;
	--col-bg-error:          #ab1b1b;
	
	--col-text:              var(--theme-d5);
	--col-text-nav:          var(--theme-d5);
	--col-text-title:        var(--theme-d1);
	--col-text-input:        var(--theme-black);
	
	--col-border:            var(--theme-d1);
	--col-border-nav:        var(--theme-d1);
	--col-border-leftlist:   var(--theme-d1);
	--col-border-input:      var(--theme-d4);
	--col-border-dialog:     var(--theme-d1);
	
	--col-bg-nav-top:        var(--theme-l5);
	--col-bg-nav-bottom:     var(--theme-l4);
	--col-bg-nav-hover:      var(--theme-l2);
	--col-bg-nav-active:     var(--theme-l2);
	--col-bg-main:           var(--theme-white);
	--col-bg-leftlist:       var(--theme-l6);
	--col-bg-category:       var(--theme-l1);
	--col-bg-table-title:    var(--theme-l2);
	--col-bg-table-even:     var(--theme-l4);
	--col-bg-table-odd:      var(--theme-l5);
	--col-bg-table-hover:    var(--theme-l3);
	--col-bg-table-light:    var(--theme-l6);

	--col-bg-input:          var(--theme-l5);
	--col-bg-input-disabled: #777777;
	--col-bg-button:         var(--theme-l4);

	--col-bg-dialog:         var(--theme-l5);
	--col-bg-dialog-title:   var(--theme-l1);
	--col-bg-dialog-btnpane: var(--theme-l2);
	
	--col-shadow-hover:      var(--theme-d4);
	--col-shadow-button:     var(--theme-d4);
}

/*************** Fonts ***************/
@font-face {
    font-family: 'liberation_sans';
    src: url('./fonts/LiberationSans-Regular-webfont.woff');
    font-weight: normal;
    font-style: normal;
}



/*************** Globals ***************/
html, body {
	height: 100%;
	margin: 0;
	font-family: 'liberation_sans';
}

body {
	background-color:  var(--col-bg-main);
	color:             var(--col-text);
	border-color:      var(--col-border);
	min-height:        calc(100vh - 45px);
}

h1 {
	margin-bottom:     0;
	color:             var(--col-text-title);
}

h2 {
	margin-bottom:     0;
	color:             var(--col-text-title);
	font-size:         2ex;
}

p {
	margin-top:   5px;
}

i {
	font-size: 95%;
}

/*************** Login ***************/
#login {
	float: left;
	height: 100%;
	width: 40ex;
	background-color:  var(--col-bg-leftlist);
	border-right: 1px solid var(--col-border-leftlist);
}	

#login form {
/*	margin-top: 50%;	 */
}

#login ul {
	margin: 10px;
}

#login li {
/* 	color: #333333; */
	display: inline-block;
	list-style-type: none;
	margin: 0;
	padding: 0;
}

#login li.label {
	width: 10ex;
}

#maindiv {
	display: inline-block;
}

#login input, #login button, #login select, #login textarea {
	color:              var(--col-text-input);
	border-color:       var(--col-border-input);
	background-color:   var(--col-bg-input);
	border:             1px solid var(--col-border-input);
	margin:             0 5px;

	-ms-box-sizing:     border-box;
	-moz-box-sizing:    border-box;
	-webkit-box-sizing: border-box;
	box-sizing:         border-box;
	width: 20ex;
}

#login .logo {
	margin: 5ex;
	width: 30ex;
}

#login .loginopen {
	display: none;
}

/*************** Navigation ***************/
.navbaropen {
	display:           none;
}

#navbar {
	position:          fixed;
	display:           block;
	top:               0px;
	left:              calc(40ex + 1px);
	right:             0px;
	height:            45px;
	z-index:           1001;
}

#navbar ul {
	display:           inline-block;
	height:            100%;
	width:             100%;
	margin:            0;
	padding:           0;
	vertical-align:    middle;
	color:             var(--col-text-nav);	
	background:        #ffffff; 															/* Old browsers */
	background:        -moz-linear-gradient(top,    var(--col-bg-nav-top) 0%, var(--col-bg-nav-bottom) 100%); 	/* FF3.6-15 */
	background:        -webkit-linear-gradient(top, var(--col-bg-nav-top) 0%, var(--col-bg-nav-bottom) 100%); 	/* Chrome10-25,Safari5.1-6 */
	background:        linear-gradient(to bottom,   var(--col-bg-nav-top) 0%, var(--col-bg-nav-bottom) 100%); 	/* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}

#navbar li {
	display:            inline-block;
	height:             100%;
	list-style-type:    none;
	padding:            0;
	margin:             0;
	text-align:         center;
	vertical-align:     middle;
	line-height:        45px;
	cursor:             default;
}

#navbar li:hover {
	background:         var(--col-bg-nav-hover);
}

#navbar li.activetab {
	background:         var(--col-bg-nav-active);
}

#navbar a {
	display:            inline-block;
	text-decoration:    none;
	color:              var(--col-text-nav);
	height:             100%;
	cursor:             pointer;
}

#navbar span {
	padding:            0 40px;
}

/************ Main ************/
#maindiv {
	position:           fixed;
	display:            block;
	top:                45px;
	left:               calc(40ex + 1px);
	padding:            10px 20px;
	right:              0px;
	max-width:          100ex;
	z-index:            1001;
}
/*
#maindiv p {
	max-width:          100ex;
}
*/

#maindiv h1 {
	clear:              both;
}

#maindiv ol > li {
	margin:             10px 0;
}

#maindiv img.floatright {
	float: right;
	width: 30ex;
}

.thumbnail {
	width: 150px;
	float: right;
}

.thumbnail:hover {
	position: relative;
	width: 100ex;
	transition: width 0.1s;
}

.thumbnail img {
	width: 100%;
}

/************ Message bar ************/
#messagebar {
	position:           fixed;
	z-index:            1005;
	top:                0;
	left:               0;
	right:              0;
	text-align:         center;
	overflow:           hidden;
	width:              100%;
	font-weight:        bold;
	padding:            0;
	margin:             0;
}

#messagebar div {
	padding:            0;
	margin:             0;
}

#messagebar.error {
	background: var(--col-bg-error);
}

#messagebar.warning {
	background: var(--col-bg-warning);
}

#messagebar.success {
	background: var(--col-bg-success);
}